<html>
<head>
<title>Ogre::GLContext Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLContext.html">GLContext</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GLContext Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GLContext" -->
<p>Class that encapsulates an GL context.  
 <a href="classOgre_1_1GLContext.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreGLContext_8h_source.html">OgreGLContext.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::GLContext:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1GLContext__inherit__graph.gif" border="0" usemap="#Ogre_1_1GLContext_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1GLContext_inherit__map" id="Ogre_1_1GLContext_inherit__map">
<area shape="rect" id="node3" href="classOgre_1_1GLXContext.html" title="Ogre::GLXContext" alt="" coords="61,83,192,112"/><area shape="rect" id="node5" href="classOgre_1_1OSXContext.html" title="Class that encapsulates an GL context." alt="" coords="216,83,347,112"/><area shape="rect" id="node13" href="classOgre_1_1Win32Context.html" title="Ogre::Win32Context" alt="" coords="371,83,512,112"/><area shape="rect" id="node7" href="classOgre_1_1OSXCarbonContext.html" title="Ogre::OSXCarbonContext" alt="" coords="5,160,179,189"/><area shape="rect" id="node9" href="classOgre_1_1OSXCGLContext.html" title="Ogre::OSXCGLContext" alt="" coords="203,160,360,189"/><area shape="rect" id="node11" href="classOgre_1_1OSXCocoaContext.html" title="Ogre::OSXCocoaContext" alt="" coords="384,160,555,189"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1GLContext-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLContext.html#a18393fdc03e72d6c8c382fb919d3652a">GLContext</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLContext.html#a2fb10b7b74632d2fbb9ecab4665541d3">~GLContext</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLContext.html#ab53b895744ab887886807918847ff496">setCurrent</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable the context.  <a href="#ab53b895744ab887886807918847ff496"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLContext.html#a39f9c6f6929b3df7947132bb75c3c6c2">endCurrent</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This is called before another context is made current.  <a href="#a39f9c6f6929b3df7947132bb75c3c6c2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLContext.html#a996fa8eb69f0ad3fd5eb210135a4af72">getInitialized</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLContext.html#ae18d155f61acb28196fb24d230af27cd">setInitialized</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1GLContext.html">GLContext</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLContext.html#a6528ca1a4be3fc55ca68e1773b63d1ca">clone</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.  <a href="#a6528ca1a4be3fc55ca68e1773b63d1ca"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLContext.html#a0ea0bc03ba6cd6d3b5cb6cfa5ae25ed8">releaseContext</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Release the render context.  <a href="#a0ea0bc03ba6cd6d3b5cb6cfa5ae25ed8"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLContext.html#a6e2809a9ff6ad0d06dc52dc82d7a0357">initialized</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Class that encapsulates an GL context. </p>
<p>(IE a window/pbuffer). This is a virtual base class which should be implemented in a <a class="el" href="classOgre_1_1GLSupport.html">GLSupport</a>. This object can also be used to cache renderstate if we decide to do so in the future. </p>

<p>Definition at line <a class="el" href="OgreGLContext_8h_source.html#l00041">41</a> of file <a class="el" href="OgreGLContext_8h_source.html">OgreGLContext.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a18393fdc03e72d6c8c382fb919d3652a"></a><!-- doxytag: member="Ogre::GLContext::GLContext" ref="a18393fdc03e72d6c8c382fb919d3652a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLContext.html#a18393fdc03e72d6c8c382fb919d3652a">Ogre::GLContext::GLContext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a2fb10b7b74632d2fbb9ecab4665541d3"></a><!-- doxytag: member="Ogre::GLContext::~GLContext" ref="a2fb10b7b74632d2fbb9ecab4665541d3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1GLContext.html#a2fb10b7b74632d2fbb9ecab4665541d3">Ogre::GLContext::~GLContext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a6528ca1a4be3fc55ca68e1773b63d1ca"></a><!-- doxytag: member="Ogre::GLContext::clone" ref="a6528ca1a4be3fc55ca68e1773b63d1ca" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1GLContext.html">GLContext</a>* <a class="el" href="classOgre_1_1GLContext.html#a6528ca1a4be3fc55ca68e1773b63d1ca">Ogre::GLContext::clone</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>The caller is responsible for deleting the returned context. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1OSXContext.html#af182601745929425ea320b734d78bf4c">Ogre::OSXContext</a>, <a class="el" href="classOgre_1_1OSXCarbonContext.html#ab9dffdfebab0af72bfa065f2c655332e">Ogre::OSXCarbonContext</a>, <a class="el" href="classOgre_1_1OSXCGLContext.html#ab8dec0a5275bae5329af5645c7b847d6">Ogre::OSXCGLContext</a>, <a class="el" href="classOgre_1_1OSXCocoaContext.html#ade09c76848c11ea4faeeeafd5b6b6961">Ogre::OSXCocoaContext</a>, <a class="el" href="classOgre_1_1GLXContext.html#ac71ec885d24da172590d9afb8c17af95">Ogre::GLXContext</a>, and <a class="el" href="classOgre_1_1Win32Context.html#a6e1ba98fb929a6d7b5ad67a20ee54241">Ogre::Win32Context</a>.</p>

</div>
</div>
<a class="anchor" id="a39f9c6f6929b3df7947132bb75c3c6c2"></a><!-- doxytag: member="Ogre::GLContext::endCurrent" ref="a39f9c6f6929b3df7947132bb75c3c6c2" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLContext.html#a39f9c6f6929b3df7947132bb75c3c6c2">Ogre::GLContext::endCurrent</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This is called before another context is made current. </p>
<p>By default, nothing is done here. </p>

<p>Implemented in <a class="el" href="classOgre_1_1OSXContext.html#a53cb572dc2f8752e30cda08e278ebd91">Ogre::OSXContext</a>, <a class="el" href="classOgre_1_1OSXCarbonContext.html#af7e42fd85ff4ea4293ce2135ec2a2983">Ogre::OSXCarbonContext</a>, <a class="el" href="classOgre_1_1OSXCGLContext.html#abf46519cb86139127878227465d04804">Ogre::OSXCGLContext</a>, <a class="el" href="classOgre_1_1OSXCocoaContext.html#aee6efb616fe0530a9e451e8d4794a540">Ogre::OSXCocoaContext</a>, <a class="el" href="classOgre_1_1GLXContext.html#a1594fef75c2fb430033f4b4833adac56">Ogre::GLXContext</a>, and <a class="el" href="classOgre_1_1Win32Context.html#a02724e124a37133de86907ad3c4a65e9">Ogre::Win32Context</a>.</p>

</div>
</div>
<a class="anchor" id="a996fa8eb69f0ad3fd5eb210135a4af72"></a><!-- doxytag: member="Ogre::GLContext::getInitialized" ref="a996fa8eb69f0ad3fd5eb210135a4af72" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLContext.html#a996fa8eb69f0ad3fd5eb210135a4af72">Ogre::GLContext::getInitialized</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLContext_8h_source.html#l00057">57</a> of file <a class="el" href="OgreGLContext_8h_source.html">OgreGLContext.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0ea0bc03ba6cd6d3b5cb6cfa5ae25ed8"></a><!-- doxytag: member="Ogre::GLContext::releaseContext" ref="a0ea0bc03ba6cd6d3b5cb6cfa5ae25ed8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLContext.html#a0ea0bc03ba6cd6d3b5cb6cfa5ae25ed8">Ogre::GLContext::releaseContext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Release the render context. </p>

<p>Reimplemented in <a class="el" href="classOgre_1_1Win32Context.html#aa5a289fe65c137eaf0ba5760fa88c5a1">Ogre::Win32Context</a>.</p>

<p>Definition at line <a class="el" href="OgreGLContext_8h_source.html#l00069">69</a> of file <a class="el" href="OgreGLContext_8h_source.html">OgreGLContext.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab53b895744ab887886807918847ff496"></a><!-- doxytag: member="Ogre::GLContext::setCurrent" ref="ab53b895744ab887886807918847ff496" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLContext.html#ab53b895744ab887886807918847ff496">Ogre::GLContext::setCurrent</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enable the context. </p>
<p>All subsequent rendering commands will go here. </p>

<p>Implemented in <a class="el" href="classOgre_1_1OSXContext.html#ab5838318235c62498cfdbc71034d23c5">Ogre::OSXContext</a>, <a class="el" href="classOgre_1_1OSXCarbonContext.html#af90481925db1253627ff7bb4ccc0142d">Ogre::OSXCarbonContext</a>, <a class="el" href="classOgre_1_1GLXContext.html#a7aa3e8207ba0f8bb2b0cf83d6e963c53">Ogre::GLXContext</a>, <a class="el" href="classOgre_1_1Win32Context.html#a5f1d94dbef0a4021eb4d93eefb59e7c5">Ogre::Win32Context</a>, <a class="el" href="classOgre_1_1OSXCGLContext.html#a5c4f1ea5f0490c26b67fb0e6cb89e67e">Ogre::OSXCGLContext</a>, and <a class="el" href="classOgre_1_1OSXCocoaContext.html#a06d0210c0414f2bb2d06d2f153b30a8c">Ogre::OSXCocoaContext</a>.</p>

</div>
</div>
<a class="anchor" id="ae18d155f61acb28196fb24d230af27cd"></a><!-- doxytag: member="Ogre::GLContext::setInitialized" ref="ae18d155f61acb28196fb24d230af27cd" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLContext.html#ae18d155f61acb28196fb24d230af27cd">Ogre::GLContext::setInitialized</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLContext_8h_source.html#l00058">58</a> of file <a class="el" href="OgreGLContext_8h_source.html">OgreGLContext.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a6e2809a9ff6ad0d06dc52dc82d7a0357"></a><!-- doxytag: member="Ogre::GLContext::initialized" ref="a6e2809a9ff6ad0d06dc52dc82d7a0357" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLContext.html#a6e2809a9ff6ad0d06dc52dc82d7a0357">Ogre::GLContext::initialized</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLContext_8h_source.html#l00071">71</a> of file <a class="el" href="OgreGLContext_8h_source.html">OgreGLContext.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreGLContext_8h_source.html">OgreGLContext.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:17
</p>
</body>
</html>
